Public Member Functions

# VideoDriverFactory< T > Class Template Reference

Factory for the video drivers. More...

`#include <video_driver.hpp>`

Inheritance diagram for VideoDriverFactory< T >:

## Public Member Functions
const char * | GetName ()
| Get the long, human readable, name for the Driver-class.

## Detailed Description

### template<class T>
class VideoDriverFactory< T >

Factory for the video drivers.

Template Parameters:

  | T | The type of the video factory to register.

Definition at line 87 of file video_driver.hpp.

The documentation for this class was generated from the following file:

- src/video/video_driver.hpp